@ECHO OFF
REM
REM \ldsu\bin\do_ldsu.bat - procedure to perform a single ldsu instance.
REM			    Called from ldsu_import, ldsu_export, etc
REM
REM	P1 - Mode of ldsu instance (IMPORT,EXPORT,CHANGES,TRANSACTION)
REM	P2 - Name of ldsu_config.dat file (Optional - default ldsu_config.dat)
REM
REM	Procedure assumes that all files are in place and the default
REM	directory is the instance subdirectory.

REM	Check Arguments

IF NOT "%1"=="" GOTO L1
ECHO Usage: %0 ldsu_mode [ldsu_config_file]
SET ldsu_status=1
GOTO LEND
:L1

REM	Run LDSU and save status.  Save output in log file.

IF NOT DEFINED ldsubindir SET ldsubindir=%~dp0%
%ldsubindir%ldsu.exe %2 > ldsu.log 2> ldsu.err
SET ldsu_status=%errorlevel%

REM	Output summary info to stdout

REM Uncomment the next line instead for Verbose Transaction Messages
REM FINDSTR /L "LDSU- -LDAP -ADD -MODIFY -DELETE" ldsu.log
FINDSTR /L "LDSU- -LDAP" ldsu.log
TYPE ldsu.err
IF "%1"=="IMPORT" GOTO L3
IF "%1"=="TRANSACTION" GOTO L3
GOTO L4
:L3
FINDSTR /C:"Number of" ldsu.log
GOTO L5
:L4:
FINDSTR /C:"metafile records" ldsu.log | FINDSTR /C:": "
:L5:

REM	Return

:LEND
